MagickWand: convert.c File Reference

# convert.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/mogrify-private.h"`

## Defines
#define | ThrowFileException(exception, severity, tag, context)
#define | NotInitialized (unsigned int) (~0)
#define | DestroyConvert()
#define | ThrowConvertException(asperity, tag, option)
#define | ThrowConvertInvalidArgumentException(option, argument)
## Functions
static MagickBooleanType | ConcatenateImages (int argc, char **argv, ExceptionInfo *exception)
static void | ConvertUsage (void)
WandExport MagickBooleanType | ConvertImageCommand (ImageInfo *image_info, int argc, char **argv, char **metadata, ExceptionInfo *exception)

## Define Documentation

#define DestroyConvert | ( |  | ) |

Value:

    { \
      for ( ; k >= 0; k--) \
        image_stack[k]=DestroyImageList(image_stack[k]); \
      for (i=0; i < (long) argc; i++) \
        argv[i]=DestroyString(argv[i]); \
      argv=(char **) RelinquishMagickMemory(argv); \
    }

#define NotInitialized (unsigned int) (~0)

#define ThrowConvertException | ( | asperity,
|  | tag,
|  | option |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),asperity,tag,"`%s'", \
        option); \
      DestroyConvert(); \
      return(MagickFalse); \
    }

#define ThrowConvertInvalidArgumentException | ( | option,
|  | argument |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),OptionError, \
        "InvalidArgument","`%s': %s",argument,option); \
      DestroyConvert(); \
      return(MagickFalse); \
    }

#define ThrowFileException | ( | exception,
|  | severity,
|  | tag,
|  | context |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),severity, \
        tag == (const char *) NULL ? "unknown" : tag,"`%s': %s",context, \
        strerror(errno)); \
    }

## Function Documentation

static MagickBooleanType ConcatenateImages | ( | int | argc,
|  | char ** | argv,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

WandExport MagickBooleanType ConvertImageCommand | ( | ImageInfo * | image_info,
|  | int | argc,
|  | char ** | argv,
|  | char ** | metadata,
|  | ExceptionInfo * | exception |
| ) |  |  |

static void ConvertUsage | ( | void |  | ) | `[static]`